#include <bits/stdc++.h>

using namespace std;

int main()
{
	string s;
	int p,q;
	cin>>s>>p>>q;
	if(abs(p-q)<=1)
	{
		if(p<q)
		{
			char temp=s[0];
			s[0]=s[1];
			s[1]=temp;
		}
		int m=min(p,q);
		for(int i=0;i<m;i++)
		{
			cout<<s;
		}
		if(p!=q)
		{
			cout<<s[0];
		}
	}
	else 
	cout<<"nemoguce";
	
	return 0;
}